gnutls_openpgp_key_verify_self(3)

NAME
gnutls_openpgp_key_verify_self

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_key_verify_self(gnutls_openpgp_key_t key, unsigned int flags, unsigned int * verify);

ARGUMENTS

gnutls_openpgp_key_t key
    the structure that holds the key.

unsigned int flags
    unused (should be 0)

unsigned int * verify
    will hold the key verification output.

DESCRIPTION
Verifies the self signature in the key. The key verification output will be put in verify and will be one or more of the gnutls_certificate_status_t enumerated elements bitwise or'd.

GNUTLS_CERT_INVALID
The self signature on the key is invalid. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.